/*
    Create a report that shows the number of
    employees and customers from each city that has customers in it.
*/

SELECT COUNT(DISTINCT e.EmployeeID) AS NumEmployees,
    COUNT(DISTINCT c.CustomerID) AS NumCompanies,
    e.City, c.City
FROM Employees e RIGHT JOIN Customers c ON
    (e.City = c.City)
GROUP BY e.City, c.City
ORDER BY numEmployees DESC;